#! /bin/ksh
# @(#)get_jvm_version 1.0
#
# Script for determining the version of the Java virtual machine.
#

typeset script_name_without_path="${0##*/}"
typeset script_name="${script_name_without_path%.*}"

if [ ${#JAVA_HOME} -eq 0 ] ;
then
    print -u2 "Environment variable 'JAVA_HOME' must be set to run this"
    print -u2 "script. It must point to the Java installation directory."
    exit 2
else
    if [ ! -d $JAVA_HOME ] ;
    then
        print -u2 "Directory specified by environment variable 'JAVA_HOME'"
        print -u2 "<" $JAVA_HOME "> does not exist."
        exit 2
    fi

    java_version=$( java -version 2>&1 |
                    awk 'NR == 1 { print substr($3, 2, length($3)-2) }' )
fi

print $java_version
exit $?

